# Generated by Django 4.1.6 on 2023-03-26 10:08

import django.contrib.auth.models
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone
import medux.common.models
import month.models


class Migration(migrations.Migration):
    dependencies = [
        ("employees", "0005_alter_workschedule_options_and_more"),
        ("timetracker", "0005_employee_alter_absence_options_and_more"),
    ]

    operations = [
        migrations.CreateModel(
            name="TimetrackerEmployee",
            fields=[],
            options={
                "proxy": True,
                "indexes": [],
                "constraints": [],
            },
            bases=("employees.employee",),
            managers=[
                ("objects", django.contrib.auth.models.UserManager()),
            ],
        ),
        migrations.CreateModel(
            name="MonthlyTimeBilling",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                (
                    "created",
                    models.DateTimeField(
                        default=django.utils.timezone.now, editable=False
                    ),
                ),
                (
                    "modified",
                    medux.common.models.AutoDateTimeField(
                        default=django.utils.timezone.now
                    ),
                ),
                (
                    "month",
                    month.models.MonthField(
                        help_text="The month you want to submit", verbose_name="Month"
                    ),
                ),
                ("time_targeted", models.DurationField(verbose_name="Target time")),
                ("time_worked", models.DurationField(verbose_name="Time worked")),
                (
                    "employee",
                    models.ForeignKey(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="monthsubmissions",
                        to="timetracker.timetrackeremployee",
                    ),
                ),
            ],
            options={
                "abstract": False,
                "verbose_name": "Monthly time billing",
                "verbose_name_plural": "Monthly time billings",
                "unique_together": {("employee", "month")},
            },
        ),
        migrations.AlterField(
            model_name="absence",
            name="employee",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="timetracker.timetrackeremployee",
            ),
        ),
        migrations.AlterField(
            model_name="timeentry",
            name="employee",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                to="timetracker.timetrackeremployee",
            ),
        ),
        migrations.AlterField(
            model_name="yearsummary",
            name="employee",
            field=models.ForeignKey(
                on_delete=django.db.models.deletion.CASCADE,
                related_name="year_summaries",
                to="timetracker.timetrackeremployee",
            ),
        ),
        migrations.DeleteModel(
            name="Employee",
        ),
    ]
